import { SerializationTransformer } from "@/serialization/types";
import moment, { Moment } from "moment";

export const momentSerializationTransformer: SerializationTransformer<Moment, string> = {
    transform: (subject: Moment) => subject.toISOString(),
    reverseTransform: (subject: string) => moment(subject),
}
