import { Action } from "@/state/actions/base";
import { Student } from "@/data";

export enum StudentActions {
    Login = 'LOGIN',
    Logout = 'LOGOUT'
}

export interface LoginAction extends Action<StudentActions.Login> {
    student: Student
}

export type LogoutAction = Action<StudentActions.Logout>;

export type StudentAction = LoginAction | LogoutAction;

