import React, { HTMLProps } from "react";
import { makeStyles } from "@material-ui/core/styles";

export const Actions = (props: HTMLProps<HTMLDivElement>) => {
    const classes = makeStyles(theme => ({
        root: {
            "& > *": {
                marginRight: theme.spacing(1)
            }
        }
    }))();

    return <div className={ classes.root } { ...props }/>
}
